Subject: Re: [net-next 08/15] net/mlx5e: Add hairpin debugfs files

From: Jakub Kicinski <[email-masked]>
Date: Wed, 11 Jan 2023 19:46:08 -0800

On Wed, 11 Jan 2023 15:01:31 -0800 Saeed Mahameed wrote:
> Sorry i don't have much details here, Maybe Gal can chime in.. 
> but what i am sure of is changing the hairpin RQ/SQ configs comes
> with a risk.

Would be great if someone could chime in..

> >Plus IIRC you already have the EQ configuration via params.  
> 
> EQ is considered standard parameter in devlink.
> 
> We currently have 2 vendor specific params and they are related to
> steering pipeline/engines only.
> hairpin buffer/queue sizes is only a CX limitation, and implementation
> detail.
> 
> you can clearly see a pattern here, usually the steering pipeline
> requires vendor specific knobs :/ ..
> 
> Will you be ok if we moved hairpin config to devlink driver specific param
> ? given that we will create the vendor_specific.rst for easy tracking and
> grepping.

Alright, that sounds okay. But vendor_specific.rst needs to only cover
debugfs and ethtool private flags, right? Devlink params are already
documented in per-driver devlink docs, and splitting params into two
places would be odd.